# Interface StyleListener

All Known Implementing Classes:
  `AbstractEditorComponent, Accordion, Ads, ARView, AudioRecorderComponent, AutoCompleteTextComponent, AutoCompleteTextField, BannerAd, BaseSpinner, BrowserComponent, Button, ButtonList, Calendar, CameraView, ChartComponent, ChatBubble, ChatInput, ChatView, CheckBox, CheckBoxList, ClearableTextField, CodeEditor, CodeView, ComboBox, CommonProgressAnimations.CircleProgress, CommonProgressAnimations.EmptyAnimation, CommonProgressAnimations.LoadingTextAnimation, CommonProgressAnimations.ProgressAnimation, Component, ComponentGroup, Container, ContainerList, DateSpinner, DateTimeSpinner, DefaultListCellRenderer, Dialog, EditField, EditorView, EmbeddedContainer, FileTree, FloatingActionButton, FloatingHint, Form, GameSceneView, GameView, GenericSpinner, HTMLComponent, ImageViewer, InfiniteContainer, InfiniteProgress, InputComponent, InteractionDialog, InterFormContainer, Label, LikeButton, List, MapComponent, MapView, Media360View, MediaPlayer, MenuBar, MultiButton, MultiList, NativeMap, NumericSpinner, OnOffSwitch, OtpField, PeerComponent, PhoneNumberField, PhoneVerification, Picker, PickerComponent, Progress, RadioButton, RadioButtonList, RenderView, RichTextArea, RichTextComponent, RichView, RSSReader, ScaleImageButton, ScaleImageLabel, Scene, ShareButton, Sheet, SideMenuBar, SignatureComponent, Slider, SliderBridge, SpanButton, SpanLabel, SpanMultiButton, SplitPane, StickyHeaderContainer, SwipeableContainer, Switch, SwitchList, Table, Tabs, TestRunnerComponent, TextArea, TextComponent, TextComponentPassword, TextField, TimeSpinner, Toolbar, Tree, VisionCameraView, VRView, WebBrowser, Window`

public interface StyleListener
Invoked to indicate a change in a `Style` property

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `styleChanged(String propertyName, Style source)`
  Invoked to indicate a change in a propertyName of a Style

- ## Method Details

  - ### styleChanged

    void styleChanged(String propertyName, Style source)

    Invoked to indicate a change in a propertyName of a Style

    ###### Parameters

    - `propertyName`: the property name that was changed

    - `source`: The changed Style object